CON
{''Hardware version 2.11 - see diagram.
''
}                                 
  DEV_SPI_EN        = 21                               ''SPI Enable enumeration
  DEV_SPI_ADD0      = 22                               ''Device address 0 enumeration
  DEV_SPI_ADD1      = 23                               ''Device address 1 enumeration
  DEV_SPI_LCD_RES   = 0                 ''Device id for LCD reset
  
 _clkmode       = xtal1 + pll16x                        ' use crystal x 16
 _xinfreq       = 5_000_000                             'with 5mhz crystal

  BGCOLOR                       = $ffff
  TXTCOLOR                      = $0000
  NotPressedBGC                 = $ffff
  NotPressedATC                 = $0000
  PressedBGC                    = $0000
  PressedATC                    = $ffff
  Pressed                       = 1
  NotPressed                    = 0 
VAR     long Screen_Buffer
OBJ pfw :"PropFont_asmDone"
            
PUB BOOT                         'bootstrap, initalizes pins, then starts pst, init display, start asm, clear screen and display hello world
  dirA[DEV_SPI_ADD0]   := 1       'makes address 0 and 1          
  dirA[DEV_SPI_ADD1]   := 1       'outputs
  dirA[DEV_SPI_EN]     := 1       'and enable an output as well
  'OUTA[LCD_WR]         := 0           'prime WR pin
  'OUTA[LCD_RS]             := 0           'and RS pin, probably not needed.
  OUTA[DEV_SPI_EN]     := 1           'Disable - Reset Screen
  
   ''PST_Init                          'Start Parallax Serial Terminal
   
   pfw.Start(@Screen_Buffer)                         'Start Asm Driver, needs to be changed to pass screen buffer from top object
   '' pst.newline                                  
   ''pst.str(string("Starting Asm"))             'Talk to human
   ''pst.newline   
   pfw.ClearScreen($ffff)            'Draw White Screen with asm
   helloworld                       'draw hello world
pfw.deadend                             'hold cog in endless loop

PUB HelloWorld
    pfw.WriteActiveCr("H", 0, 0*16, 0, 0, BGCOLOR, TXTCOLOR)    
    pfw.WriteNextActiveCr("e")
    pfw.WriteNextActiveCr("l")
    pfw.WriteNextActiveCr("l")
    pfw.WriteNextActiveCr("o")
    pfw.WriteNextActiveCr(" ")
    pfw.WriteNextActiveCr("W")
    pfw.WriteNextActiveCr("o")
    pfw.WriteNextActiveCr("r")
    pfw.WriteNextActiveCr("l")
    pfw.WriteNextActiveCr("d")
